Bug 100856 - "More..." menu item in the language menus shows the global preferences dialog instead of a simple dedicated dialog, which is confusing
Summary: "More..." menu item in the language menus shows the global preferences dialog...
Status: RESOLVED WONTFIX
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
unspecified
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Statusbar
  Show dependency treegraph
 
Reported: 2016-07-11 18:49 UTC by Jean-François Fortin Tam
Modified: 2018-08-18 22:02 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Jean-François Fortin Tam 2016-07-11 18:49:18 UTC
On a related but different note from bug #100855 and bug #96988, if you select "Tools > Language > For all text > More..." you end up with LibreOffice Writer's global preferences dialog... which is quite confusing because I instantly recognize it as the global preferences dialog, with its zillion options irrelevant to the task at hand, and think "but I don't want to set global preferences, I just want to pick a language for this particular document!"

There's a checkbox "For the current document only" but it's buried under a header that says "Langues par défaut des documents" in French, which semantically translates to "Default language for [new] documents", so when you see that, your eyes just ignore the whole section.

The thing is needlessly complex overall. What would be helpful instead is just a very simple dedicated language picker dialog, like this:

------------------------------
| Choose a language         X|
------------------------------
|                            |
| [ Search...              ] |
|                            |
| |------------------------| |
| |------------------------| |
| |------------------------| |
| |------------------------| |
| |------------------------| |
| |------------------------| |
| |------------------------| |
| |------------------------| |
| |------------------------| |
| |------------------------| |
| |------------------------| |
|                            |
|          ( Cancel ) ( OK ) |
|                            |
------------------------------

Bonus point: this same dialog could then also be used for:

- Tools > Language > For selection > More...
- Tools > Language > For paragraph > More...
Comment 1 Heiko Tietze 2016-09-23 09:47:20 UTC
I fully agree that installing a localization should work like you suggest. But LibreOffice requires to load a language pack using the installer of your distribution on Linux or to rerun the installer on Windows.

Regarding the menu it is even worse that For all text > More..." is different to "More.." for paragraph or selection. These menu points lead you to the character dialog with all the language options for font that don't affect the spell checking.

Putting all together, improvements are needed. But your proposal is a WONTFIX, IMHO, and as a simple solution I suggest to remove "More..." from the menu.
Comment 2 Cor Nouws 2018-07-04 17:01:48 UTC
hmm..
Comment 3 Heiko Tietze 2018-07-04 19:45:33 UTC
We discussed the topic in the design meeting. The "More..." item is a nice shortcut and useful to define the language for paragraph/section/all text. The workflow via character dialog is strangely interrelated to how unicode scripts are taken. All together we recommend to not change the current situation.